Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb.impl
Class ContactInfoTypeImpl

    java.lang.Object
      org.infoml.jaxb.impl.ContactInfoTypeImpl

All Implemented Interfaces:
  ContactInfoType

    public class ContactInfoTypeImpl

extends java.lang.Object
implements ContactInfoType

Nested Class Summary
`class` | `ContactInfoTypeImpl.Unmarshaller`

Field Summary
`protected java.lang.String` | `_City`
`protected java.lang.String` | `_Country`
`protected com.sun.xml.bind.util.ListImpl` | `_Email`
`protected com.sun.xml.bind.util.ListImpl` | `_LocalAddress`
`protected com.sun.xml.bind.util.ListImpl` | `_Other`
`protected com.sun.xml.bind.util.ListImpl` | `_Phone`
`protected java.lang.String` | `_PostalCode`
`protected java.lang.String` | `_StateOrProvince`
`static java.lang.Class` | `version`

Constructor Summary
`ContactInfoTypeImpl()`

Method Summary
`protected com.sun.xml.bind.util.ListImpl` | `_getEmail()`
`protected com.sun.xml.bind.util.ListImpl` | `_getLocalAddress()`
`protected com.sun.xml.bind.util.ListImpl` | `_getOther()`
`protected com.sun.xml.bind.util.ListImpl` | `_getPhone()`
`com.sun.msv.verifier.DocumentDeclaration` | `createRawValidator()`
`org.infoml.jaxb.impl.runtime.UnmarshallingEventHandler` | `createUnmarshaller(org.infoml.jaxb.impl.runtime.UnmarshallingContext context)`
`java.lang.String` | `getCity()` Gets the value of the city property.
`java.lang.String` | `getCountry()` Gets the value of the country property.
`java.util.List` | `getEmail()` Gets the value of the Email property.
`java.util.List` | `getLocalAddress()` Gets the value of the LocalAddress property.
`java.util.List` | `getOther()` Gets the value of the Other property.
`java.util.List` | `getPhone()` Gets the value of the Phone property.
`java.lang.String` | `getPostalCode()` Gets the value of the postalCode property.
`java.lang.Class` | `getPrimaryInterface()`
`java.lang.String` | `getStateOrProvince()` Gets the value of the stateOrProvince property.
`void` | `serializeAttributes(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `serializeBody(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `serializeURIs(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `setCity(java.lang.String value)` Sets the value of the city property.
`void` | `setCountry(java.lang.String value)` Sets the value of the country property.
`void` | `setPostalCode(java.lang.String value)` Sets the value of the postalCode property.
`void` | `setStateOrProvince(java.lang.String value)` Sets the value of the stateOrProvince property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _Phone

    protected com.sun.xml.bind.util.ListImpl _Phone

### _LocalAddress

    protected com.sun.xml.bind.util.ListImpl _LocalAddress

### _PostalCode

    protected java.lang.String _PostalCode

### _Email

    protected com.sun.xml.bind.util.ListImpl _Email

### _Other

    protected com.sun.xml.bind.util.ListImpl _Other

### _Country

    protected java.lang.String _Country

### _City

    protected java.lang.String _City

### _StateOrProvince

    protected java.lang.String _StateOrProvince

### version

    public static final java.lang.Class version

Constructor Detail

### ContactInfoTypeImpl

    public ContactInfoTypeImpl()

Method Detail

### _getPhone

    protected com.sun.xml.bind.util.ListImpl _getPhone()

### getPhone

    public java.util.List getPhone()

  Description copied from interface: `ContactInfoType`
  Gets the value of the Phone property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the Phone property.

  For example, to add a new item, do as follows:

          getPhone().add(newItem);

  Objects of the following type(s) are allowed in the list `NonnullTokenWithRoleType`

  Specified by:
    `getPhone` in interface `ContactInfoType`

### _getLocalAddress

    protected com.sun.xml.bind.util.ListImpl _getLocalAddress()

### getLocalAddress

    public java.util.List getLocalAddress()

  Description copied from interface: `ContactInfoType`
  Gets the value of the LocalAddress property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the LocalAddress property.

  For example, to add a new item, do as follows:

          getLocalAddress().add(newItem);

  Objects of the following type(s) are allowed in the list `String`

  Specified by:
    `getLocalAddress` in interface `ContactInfoType`

### getPostalCode

    public java.lang.String getPostalCode()

  Description copied from interface: `ContactInfoType`
  Gets the value of the postalCode property.

  Specified by:
    `getPostalCode` in interface `ContactInfoType`
  Returns:
    possible object is `String`

### setPostalCode

    public void setPostalCode(java.lang.String value)

  Description copied from interface: `ContactInfoType`
  Sets the value of the postalCode property.

  Specified by:
    `setPostalCode` in interface `ContactInfoType`
  Parameters:
    `value` - allowed object is `String`

### _getEmail

    protected com.sun.xml.bind.util.ListImpl _getEmail()

### getEmail

    public java.util.List getEmail()

  Description copied from interface: `ContactInfoType`
  Gets the value of the Email property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the Email property.

  For example, to add a new item, do as follows:

          getEmail().add(newItem);

  Objects of the following type(s) are allowed in the list `NonnullTokenWithRoleType`

  Specified by:
    `getEmail` in interface `ContactInfoType`

### _getOther

    protected com.sun.xml.bind.util.ListImpl _getOther()

### getOther

    public java.util.List getOther()

  Description copied from interface: `ContactInfoType`
  Gets the value of the Other property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the Other property.

  For example, to add a new item, do as follows:

          getOther().add(newItem);

  Objects of the following type(s) are allowed in the list `NonnullTokenWithRoleType`

  Specified by:
    `getOther` in interface `ContactInfoType`

### getCountry

    public java.lang.String getCountry()

  Description copied from interface: `ContactInfoType`
  Gets the value of the country property.

  Specified by:
    `getCountry` in interface `ContactInfoType`
  Returns:
    possible object is `String`

### setCountry

    public void setCountry(java.lang.String value)

  Description copied from interface: `ContactInfoType`
  Sets the value of the country property.

  Specified by:
    `setCountry` in interface `ContactInfoType`
  Parameters:
    `value` - allowed object is `String`

### getCity

    public java.lang.String getCity()

  Description copied from interface: `ContactInfoType`
  Gets the value of the city property.

  Specified by:
    `getCity` in interface `ContactInfoType`
  Returns:
    possible object is `String`

### setCity

    public void setCity(java.lang.String value)

  Description copied from interface: `ContactInfoType`
  Sets the value of the city property.

  Specified by:
    `setCity` in interface `ContactInfoType`
  Parameters:
    `value` - allowed object is `String`

### getStateOrProvince

    public java.lang.String getStateOrProvince()

  Description copied from interface: `ContactInfoType`
  Gets the value of the stateOrProvince property.

  Specified by:
    `getStateOrProvince` in interface `ContactInfoType`
  Returns:
    possible object is `String`

### setStateOrProvince

    public void setStateOrProvince(java.lang.String value)

  Description copied from interface: `ContactInfoType`
  Sets the value of the stateOrProvince property.

  Specified by:
    `setStateOrProvince` in interface `ContactInfoType`
  Parameters:
    `value` - allowed object is `String`

### createUnmarshaller

    public org.infoml.jaxb.impl.runtime.UnmarshallingEventHandler createUnmarshaller(org.infoml.jaxb.impl.runtime.UnmarshallingContext context)

### serializeBody

    public void serializeBody(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### serializeAttributes

    public void serializeAttributes(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                             throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### serializeURIs

    public void serializeURIs(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### getPrimaryInterface

    public java.lang.Class getPrimaryInterface()

### createRawValidator

    public com.sun.msv.verifier.DocumentDeclaration createRawValidator()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD